中危 cyrus-imapd 加密问题漏洞

CVE编号

CVE-2021-33582

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-09-01
漏洞描述
cyrus-imapd是一个IMAP服务器,其中IMAP是访问邮件的协议。

cyrus-imapd 中存在加密问题漏洞,该漏洞源于产品的内部哈希表未使用有效的字符串加密算法导致攻击者可预测字符串位置。攻击者可通过将多个输入定向到单个位置导致CPU拒绝服务。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://www.cyrusimap.org/imap/download/release-notes/3.4/index.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 cyrus imap * Up to
(excluding)
3.0.16
运行在以下环境
应用 cyrus imap * From
(including)
3.2.0
Up to
(excluding)
3.2.8
运行在以下环境
应用 cyrus imap * From
(including)
3.4.0
Up to
(excluding)
3.4.2
运行在以下环境
系统 alibaba_cloud_linux_2.1903 cyrus-imapd * Up to
(excluding)
3.0.7-20.1.al8.1
运行在以下环境
系统 amazon_2 cyrus-imapd * Up to
(excluding)
2.4.22-1.amzn2.0.1
运行在以下环境
系统 amazon_AMI cyrus-imapd * Up to
(excluding)
2.4.22-1.10.amzn1
运行在以下环境
系统 centos_8 cyrus-imapd * Up to
(excluding)
3.0.7-20.el8_4.1
运行在以下环境
系统 debian_10 cyrus-imapd * Up to
(excluding)
3.0.8-6+deb10u6
运行在以下环境
系统 debian_11 cyrus-imapd * Up to
(excluding)
3.2.6-2+deb11u1
运行在以下环境
系统 debian_12 cyrus-imapd * Up to
(including)
3.4.1-2
运行在以下环境
系统 debian_9 cyrus-imapd * Up to
(excluding)
2.5.10-3+deb9u3
运行在以下环境
系统 fedora_34 cyrus-imapd * Up to
(excluding)
3.2.8-2.fc34
运行在以下环境
系统 fedora_35 cyrus-imapd * Up to
(excluding)
3.2.8-2.fc35
运行在以下环境
系统 oracle_8 cyrus-imapd * Up to
(excluding)
3.0.7-20.el8_4.1
运行在以下环境
系统 redhat_8 cyrus-imapd * Up to
(excluding)
3.0.7-20.el8_4.1
阿里云评分
5.8
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-327 使用已被攻破或存在风险的密码学算法
阿里云安全产品覆盖情况